# Method MasterObject()->cast_to_program()

Method cast_to_program

  `program cast_to_program(string pname, string current_file, object|void handler)`

Description

  This function is called when the driver wants to cast a string to a program, this might be because of an explicit cast, an inherit or a implict cast. In the future it might receive more arguments, to aid the master finding the right program.

Method cast_to_program

  `program cast_to_program(string str, string|void current_file)`

Description

  Called by the Pike runtime to cast strings to programs.

Parameter `str`

  String to cast to object.

Parameter `current_file`

  Filename of the file that attempts to perform the cast.

Returns

  Returns the resulting program.

See also

  cast_to_object()